/**
 * @file
 * Defines JavaScript behaviors for the graphql compose settings form.
 */

(function ($, Drupal) {
  /**
   * Behaviors for summaries for tabs in the graphql compose settings form.
   *
   * @type {Drupal~behavior}
   *
   * @prop {Drupal~behaviorAttach} attach
   *   Attaches summary behavior for tabs in the graphql compose settings form.
   */
  Drupal.behaviors.graphqlComposeFormSummaries = {
    attach(context) {
      $('.entity-type-tab', context).drupalSetSummary((context) => {
        const enabled = $('input.entity-bundle-enabled:checked', context).length > 0;
        return enabled ? Drupal.t('Enabled') : '';
      });

      $('.entity-bundle-tab', context).drupalSetSummary((context) => {
        const enabled = $('input.entity-bundle-enabled:checked', context).length > 0;
        return enabled ? Drupal.t('Enabled') : '';
      });

      // Open nodes by default.
      $('a[href="#edit-layout-entity-tabs-node"]', context).click();
    },
  };
})(jQuery, Drupal);
